org.opencv.xfeatures2d

## Class Xfeatures2d

- java.lang.Object
- - org.opencv.xfeatures2d.Xfeatures2d

-     public class Xfeatures2d
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Xfeatures2d()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `matchGMS(Size size1, Size size2, MatOfKeyPoint keypoints1, MatOfKeyPoint keypoints2, MatOfDMatch matches1to2, MatOfDMatch matchesGMS)`
    `static void` | `matchGMS(Size size1, Size size2, MatOfKeyPoint keypoints1, MatOfKeyPoint keypoints2, MatOfDMatch matches1to2, MatOfDMatch matchesGMS, boolean withRotation, boolean withScale, double thresholdFactor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Xfeatures2d

          public Xfeatures2d()

  - ### Method Detail

    - #### matchGMS

          public static void matchGMS(Size size1,
                                      Size size2,
                                      MatOfKeyPoint keypoints1,
                                      MatOfKeyPoint keypoints2,
                                      MatOfDMatch matches1to2,
                                      MatOfDMatch matchesGMS,
                                      boolean withRotation,
                                      boolean withScale,
                                      double thresholdFactor)

    - #### matchGMS

          public static void matchGMS(Size size1,
                                      Size size2,
                                      MatOfKeyPoint keypoints1,
                                      MatOfKeyPoint keypoints2,
                                      MatOfDMatch matches1to2,
                                      MatOfDMatch matchesGMS)

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1